I18nGrailsPlugin (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.i18n
[Groovy] Class I18nGrailsPlugin

    java.lang.Object
      org.codehaus.groovy.grails.plugins.i18n.I18nGrailsPlugin

    class I18nGrailsPlugin

Configures Grails' internationalisation support.

Authors:
  Graeme Rocher

Since:
  0.4

Property Summary
`java.lang.String` | `baseDir`
`java.lang.Object` | `doWithSpring`
`java.lang.Object` | `onChange`
`java.lang.String` | `version`
`java.lang.String` | `watchedResources`

Method Summary
`protected void` | `calculateBaseNamesFromMessageSources(java.lang.Object messageResources, java.util.Set baseNames)`
`java.lang.Object` | `findGrailsPluginDir(java.io.File propertiesFile)`
`java.lang.Object` | `isChildOfFile(java.io.File child, java.io.File parent)`
`java.lang.Object` | `relativePath(java.io.File relbase, java.io.File file)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### baseDir

    java.lang.String baseDir

### doWithSpring

    java.lang.Object doWithSpring

### onChange

    java.lang.Object onChange

### version

    java.lang.String version

### watchedResources

    java.lang.String watchedResources

Method Detail

### calculateBaseNamesFromMessageSources

    @groovy.transform.CompileStatic
    protected void calculateBaseNamesFromMessageSources(java.lang.Object messageResources, java.util.Set baseNames)

### findGrailsPluginDir

    java.lang.Object findGrailsPluginDir(java.io.File propertiesFile)

### isChildOfFile

    java.lang.Object isChildOfFile(java.io.File child, java.io.File parent)

### relativePath

    java.lang.Object relativePath(java.io.File relbase, java.io.File file)

Groovy Documentation